#!/bin/sh

#
# Generate an error of there are fewer than 4 command line arguments
#
if [ $# -lt 4 ] ; then
  echo "$0 takes 4 arguments:  max data size, number of data elements, the trial number, and the data directory name!"
  echo " "
  exit
fi

#
# Populate ENV vars
#   DATA_DIR      - the directory in which the data is stored
#   RAND_PROC_DIR - the directory location of the randProc program
#
DATA_DIR=$4
RAND_PROC_DIR=../cRandProc


#
# Generate data input files
#
$RAND_PROC_DIR/randProc $1 $2 > $4/ins-$1-$2-$3.dat
$RAND_PROC_DIR/randProc $1 $2 > $4/srch-$1-$2-$3.dat


#  
# Generate full output files from input data
# 
java Proj2 $DATA_DIR/ins-$1-$2-$3.dat $DATA_DIR/srch-$1-$2-$3.dat > $DATA_DIR/bin-$1-$2-$3.out

